# Ogre::ParticleSystemRendererFactory Class Reference
Effects

Abstract class definition of a factory object for ParticleSystemRenderer. More...

`#include <OgreParticleSystemRenderer.h>`

Inheritance diagram for Ogre::ParticleSystemRendererFactory:
[legend]

List of all members.

## Public Member Functions

virtual const String & | getType () const =0
| Returns the factory type.
virtual ParticleSystemRenderer * | createInstance (const String &name)=0
| Creates a new object.
virtual void | destroyInstance (ParticleSystemRenderer *)=0
| Destroys an object which was created by this factory.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Detailed Description

Abstract class definition of a factory object for ParticleSystemRenderer.

Definition at line 129 of file OgreParticleSystemRenderer.h.

## Member Function Documentation

virtual ParticleSystemRenderer * Ogre::FactoryObj< ParticleSystemRenderer >::createInstance | ( | const String & | name | ) | `[pure virtual, inherited]`

Creates a new object.

Parameters:

  name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

Implemented in Ogre::BillboardParticleRendererFactory.

virtual void Ogre::FactoryObj< ParticleSystemRenderer >::destroyInstance | ( | ParticleSystemRenderer * |  | ) | `[pure virtual, inherited]`

Destroys an object which was created by this factory.

Parameters:

  ptr | Pointer to the object to destroy

Implemented in Ogre::BillboardParticleRendererFactory.

virtual const String& Ogre::FactoryObj< ParticleSystemRenderer >::getType | ( | void |  | ) | const`[pure virtual, inherited]`

Returns the factory type.

Returns:
  The factory type.

Implemented in Ogre::BillboardParticleRendererFactory.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

The documentation for this class was generated from the following file:

- OgreParticleSystemRenderer.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:14